<template lang='pug'>
.dropdown.ml-auto
  button.btn.btn-sm(title='Add' type="button"
      data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
      :class='isSelecting ? "btn-primary" : "btn-outline-dark dropdown-toggle"')
    i.fa(:class='isSelecting ? "fa-crosshairs" : "fa-plus"')
  .dropdown-menu(v-show='!isSelecting')
    span.dropdown-item.b-clickable(@click='add("relation")')
      .fa.fa-palette.mr-1
      | Relation
    span.dropdown-item.b-clickable(@click='add("transform")')
      .fa.fa-bezier-curve.mr-1
      | Transform
    span.dropdown-item.b-clickable(@click='add("direct")')
      .fa.fa-edit.mr-1
      | Direct
  SVGSelector(ref='selector')
  CreateRelationDialog(ref='relationDialog' :query='query')
  CreateTransformDialog(ref='transformDialog' :query='query')
  CreateDirectDialog(ref='directDialog' :query='query')
</template>
<script src='./CreateRelationButton.vue.js' />
